"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function loadScript(path) {
    return new Promise((resolve, reject) => {
        const script = document.createElement('script');
        script.src = path;
        script.async = true;
        script.onerror = reject;
        script.onload = () => {
            resolve();
        };
        document.head.appendChild(script);
    });
}
exports.loadScript = loadScript;
function usingAjax(path) {
    return new Promise((resolve, reject) => {
        const xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function () {
            if (xhr.readyState === 4) {
                const script = document.createElement('script');
                script.innerText = xhr.responseText;
                script.onerror = reject;
                document.head.appendChild(script);
                setTimeout(resolve, 0);
            }
        };
        xhr.onerror = reject;
        xhr.open('GET', path);
        xhr.send();
    });
}
exports.usingAjax = usingAjax;
function usingFetch(path) {
    return new Promise((resolve, reject) => {
        return fetch(path)
            .then(res => res.text())
            .then(scriptText => {
            const script = document.createElement('script');
            script.innerText = scriptText;
            script.onerror = reject;
            document.head.appendChild(script);
            setTimeout(resolve, 0);
        });
    });
}
exports.usingFetch = usingFetch;
//# sourceMappingURL=load-script.js.map